Index: doc/guide/pd/polydispersity.rst
===================================================================
--- doc/guide/pd/polydispersity.rst	(revision 29afc50fdd56895a3c14d9c1e09b002d087c956a)
+++ doc/guide/pd/polydispersity.rst	(revision d712a0f4699e15d422e39b923be41331fe3922bf)
@@ -20,6 +20,11 @@
   P(q) = \text{scale} \langle F^* F \rangle / V + \text{background}
 
-where $F$ is the scattering amplitude and $\langle\cdot\rangle$ denotes an
-average over the size distribution.
+where $F$ is the scattering amplitude and $\langle\cdot\rangle$ denotes an 
+average over the size distribution $f(x; \bar x, \sigma)$, giving
+
+.. math::
+
+  P(q) = \frac{\text{scale}}{V} \int_\mathbb{R} 
+  f(x; \bar x, \sigma) F^2(q, x)\, dx + \text{background}
 
 Each distribution is characterized by a center value $\bar x$ or
@@ -41,5 +46,5 @@
 with larger values of $N_\sigma$ required for heavier tailed distributions.
 The scattering in general falls rapidly with $qr$ so the usual assumption
-that $G(r - 3\sigma_r)$ is tiny and therefore $f(r - 3\sigma_r)G(r - 3\sigma_r)$
+that $f(r - 3\sigma_r)$ is tiny and therefore $f(r - 3\sigma_r)f(r - 3\sigma_r)$
 will not contribute much to the average may not hold when particles are large.
 This, too, will require increasing $N_\sigma$.
@@ -63,4 +68,13 @@
 
 Additional distributions are under consideration.
+
+.. note:: In 2009 IUPAC decided to introduce the new term 'dispersity' to replace 
+           the term 'polydispersity' (see `Pure Appl. Chem., (2009), 81(2), 
+           351-353 <http://media.iupac.org/publications/pac/2009/pdf/8102x0351.pdf>`_ 
+           in order to make the terminology describing distributions of properties 
+           unambiguous. Throughout the SasView documentation we continue to use the 
+           term polydispersity because one of the consequences of the IUPAC change is 
+           that orientational polydispersity would not meet their new criteria (which 
+           requires dispersity to be dimensionless).
 
 Suggested Applications
Index: sasmodels/compare.py
===================================================================
--- sasmodels/compare.py	(revision 65fbf7c6ec7049c9f802a1c656fdeb5e624b7596)
+++ sasmodels/compare.py	(revision 1e7b202a912b85e208919f52c320e14231e93bc8)
@@ -107,4 +107,5 @@
     -title="note" adds note to the plot title, after the model name
     -weights shows weights plots for the polydisperse parameters
+    -profile shows the sld profile if the model has a plottable sld profile
 
     === output options ===
@@ -775,8 +776,54 @@
             dim = base._kernel.dim
             plot_weights(model_info, get_mesh(model_info, base_pars, dim=dim))
+        if opts['show_profile']:
+            import pylab
+            base, comp = opts['engines']
+            base_pars, comp_pars = opts['pars']
+            have_base = base._kernel.info.profile is not None
+            have_comp = (
+                comp is not None
+                and comp._kernel.info.profile is not None
+                and base_pars != comp_pars
+            )
+            if have_base or have_comp:
+                pylab.figure()
+            if have_base:
+                plot_profile(base._kernel.info, **base_pars)
+            if have_comp:
+                plot_profile(comp._kernel.info, label='comp', **comp_pars)
+                pylab.legend()
     if opts['plot']:
         import matplotlib.pyplot as plt
         plt.show()
     return limits
+
+def plot_profile(model_info, label='base', **args):
+    # type: (ModelInfo, List[Tuple[float, np.ndarray, np.ndarray]]) -> None
+    """
+    Plot the profile returned by the model profile method.
+
+    *model_info* defines model parameters, etc.
+
+    *mesh* is a list of tuples containing (*value*, *dispersity*, *weights*)
+    for each parameter, where (*dispersity*, *weights*) pairs are the
+    distributions to be plotted.
+    """
+    import pylab
+
+    args = dict((k, v) for k, v in args.items()
+                if "_pd" not in k
+                   and ":" not in k
+                   and k not in ("background", "scale", "theta", "phi", "psi"))
+    args = args.copy()
+
+    args.pop('scale', 1.)
+    args.pop('background', 0.)
+    z, rho = model_info.profile(**args)
+    #pylab.interactive(True)
+    pylab.plot(z, rho, '-', label=label)
+    pylab.grid(True)
+    #pylab.show()
+
+
 
 def run_models(opts, verbose=False):
@@ -949,5 +996,6 @@
 OPTIONS = [
     # Plotting
-    'plot', 'noplot', 'weights',
+    'plot', 'noplot',
+    'weights', 'profile',
     'linear', 'log', 'q4',
     'rel', 'abs',
@@ -1103,4 +1151,5 @@
         'count'     : '1',
         'show_weights' : False,
+        'show_profile' : False,
         'sphere'    : 0,
         'ngauss'    : '0',
@@ -1163,4 +1212,5 @@
         elif arg == '-default': opts['use_demo'] = False
         elif arg == '-weights': opts['show_weights'] = True
+        elif arg == '-profile': opts['show_profile'] = True
         elif arg == '-html':    opts['html'] = True
         elif arg == '-help':    opts['html'] = True
Index: sasmodels/models/core_shell_sphere.py
===================================================================
--- sasmodels/models/core_shell_sphere.py	(revision 2d81cfe3be42579d563407fb9275b7b516fee234)
+++ sasmodels/models/core_shell_sphere.py	(revision dc76240c1dc8dcc0235d0432f3a909bea6e0c6a2)
@@ -21,5 +21,5 @@
 .. math::
 
-    F^2(q) = \frac{3}{V_s}\left[
+    F(q) = \frac{3}{V_s}\left[
        V_c(\rho_c-\rho_s)\frac{\sin(qr_c)-qr_c\cos(qr_c)}{(qr_c)^3} +
        V_s(\rho_s-\rho_\text{solv})\frac{\sin(qr_s)-qr_s\cos(qr_s)}{(qr_s)^3}
